﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;
using System.Windows.Forms;

class DataLib
{
    internal List<DataDefine> DataList = new List<DataDefine>();
    readonly string CSVPath = Path.Combine(Application.StartupPath, @"SaveData\ClearResult.csv");

    internal struct DataDefine
    {
        internal int StageNo;
        internal string ClearData;
        internal int Hosuu;
        internal int OukaSuu;
    }

    //クリア時などにデータを追加
    internal void AddData()
    {
        int cnt = DataList.Where(X => X.StageNo == CApl.GenzaiStage && X.Hosuu <= CApl.GenzaiHosuu).Count();
        if (cnt == 1) return;

        DataDefine willAdd;
        willAdd.StageNo = CApl.GenzaiStage;
        willAdd.ClearData = DateTime.Now.ToString("yyyy年MM月dd日HH時mm分");
        willAdd.Hosuu = CApl.GenzaiHosuu;
        willAdd.OukaSuu = CApl.GenzaiOukaSuu;

        DataList.Add(willAdd);
        SaveData();
    }

    //CSVでデータを保存
    private void SaveData()
    {
        Directory.CreateDirectory(Path.GetDirectoryName(CSVPath));

        if (File.Exists(CSVPath)) {
            string BackUpCSVPath;
            BackUpCSVPath = Path.Combine(Application.StartupPath, string.Format(@"SaveData\ClearResult{0}.bak", DateTime.Now.ToString("yyyy-MM-dd-HH-mm-ss")));
            File.Move(CSVPath, BackUpCSVPath);
        }

        var sw = new StreamWriter(CSVPath, false, System.Text.Encoding.GetEncoding("shift-jis"));
        foreach (var EachVal in DataList.OrderBy(X => X.StageNo)) {
            string wk = "";
            wk += EachVal.StageNo.ToString().PadLeft(3, '0') + ",";
            wk += EachVal.ClearData + ",";
            wk += EachVal.Hosuu.ToString().PadLeft(3, '0') + ",";
            wk += EachVal.OukaSuu.ToString().PadLeft(3, '0');
            sw.WriteLine(wk);
        }
        sw.Close();
    }

    //CSVからデータをロード
    internal void LoadData()
    {
        if (File.Exists(CSVPath) == false) return;

        string Line = "";
        var sr = new StreamReader(CSVPath, Encoding.GetEncoding("Shift_JIS"));

        while ((Line = sr.ReadLine()) != null) {
            string[] EachVal = Line.Split(',');
            DataDefine willAdd;
            willAdd.StageNo = int.Parse(EachVal[0]);
            willAdd.ClearData = EachVal[1];
            willAdd.Hosuu = int.Parse(EachVal[2]);
            willAdd.OukaSuu = int.Parse(EachVal[3]);
            DataList.Add(willAdd);
        }
        sr.Close();
    }
}
