﻿static class MapData
{
    private static int[,] XYRev(int[,] param)
    {
        var rev = new int[param.GetUpperBound(1) + 1, param.GetUpperBound(0) + 1];
        for (int X = 0; X <= rev.GetUpperBound(0); X++) {
            for (int Y = 0; Y <= rev.GetUpperBound(1); Y++) {
                rev[X, Y] = param[Y, X];
            }
        }
        return (int[,])rev.Clone();
    }

    internal struct MapDefine
    {
        internal int[,] Map;
        internal string title;
        internal string autor;
    };
    internal static MapDefine[] MapArr = new MapDefine[CApl.MaxStageCnt + 1];

    static MapData()
    {
        //0 空間
        //1 壁
        //2 荷物
        //3 荷物置場
        //4 荷物置場にある荷物
        //5 人
        //6 荷物置場にいる人

        int[,] wk001 ={{1,1,1,1,1,1,1},
                       {1,3,0,3,0,3,1},
                       {1,0,2,2,2,0,1},
                       {1,3,2,5,2,3,1},
                       {1,0,2,2,2,0,1},
                       {1,3,0,3,0,3,1},
                       {1,1,1,1,1,1,1},};
        MapArr[1].Map = (int[,])wk001.Clone();
        MapArr[1].title = "倉庫番"; MapArr[1].autor = "倉庫番";

        int[,] wk002 ={{0,1,1,1,1,1,1,1},
                       {1,1,5,1,1,3,3,1},
                       {1,0,2,2,0,2,3,1},
                       {1,0,0,0,2,0,4,1},
                       {1,1,1,1,0,0,3,1},
                       {0,0,0,1,1,1,1,1},};
        MapArr[2].Map = (int[,])wk002.Clone();
        MapArr[2].title = "倉庫番"; MapArr[2].autor = "倉庫番";

        int[,] wk003 ={{0,0,0,1,1,1,1,1,1,1,0,0,0},
                       {0,0,0,1,0,0,0,0,0,1,1,1,1},
                       {0,0,0,1,0,1,1,1,3,0,0,0,1},
                       {0,0,1,1,0,0,0,0,1,0,1,0,1},
                       {0,0,1,0,3,1,2,0,2,0,1,0,1},
                       {0,0,1,0,1,0,0,4,0,0,1,0,1},
                       {0,0,1,0,1,0,2,0,2,1,3,0,1},
                       {1,1,1,0,1,0,1,0,0,0,0,1,1},
                       {1,5,0,0,0,0,3,1,1,1,0,1,0},
                       {1,0,0,0,1,1,0,0,0,0,0,1,0},
                       {1,1,1,1,1,1,1,1,1,1,1,1,0},};
        MapArr[3].Map = (int[,])wk003.Clone();
        MapArr[3].title = "倉庫番"; MapArr[3].autor = "倉庫番";

        int[,] wk004 ={{0,0,0,0,0,1,1,1},
                       {0,0,0,0,0,1,3,1},
                       {0,1,1,1,1,1,3,1},
                       {1,1,0,2,0,0,3,1},
                       {1,0,0,0,2,2,3,1},
                       {1,0,0,2,1,0,3,1},
                       {1,1,1,0,1,1,0,1},
                       {1,0,0,2,0,0,0,1},
                       {1,5,0,0,0,1,1,1},
                       {1,1,1,1,1,1,0,0},};
        MapArr[4].Map = (int[,])wk004.Clone();
        MapArr[4].title = "倉庫番"; MapArr[4].autor = "倉庫番";

        int[,] wk005 ={{0,0,0,0,0,1,1,1,1},
                       {1,1,1,1,1,1,0,0,1},
                       {1,0,0,2,0,0,2,0,1},
                       {1,0,0,0,1,1,0,0,1},
                       {1,1,0,1,3,3,0,0,1},
                       {1,1,2,1,3,3,2,0,1},
                       {1,0,0,1,3,3,0,1,1},
                       {1,0,0,0,1,1,0,0,1},
                       {1,0,0,2,0,0,2,5,1},
                       {1,1,1,1,1,1,0,0,1},
                       {0,0,0,0,0,1,1,1,1},};
        MapArr[5].Map = (int[,])wk005.Clone();
        MapArr[5].title = "倉庫番"; MapArr[5].autor = "倉庫番";

        int[,] wk006 ={{0,0,1,1,1,1,0},
                       {0,0,1,5,0,1,0},
                       {1,1,1,0,2,1,0},
                       {1,0,2,2,3,1,1},
                       {1,0,2,3,3,0,1},
                       {1,0,2,3,3,0,1},
                       {1,0,0,0,1,1,1},
                       {1,1,1,1,1,0,0},};
        MapArr[6].Map = (int[,])wk006.Clone();
        MapArr[6].title = "倉庫番"; MapArr[6].autor = "倉庫番";

        int[,] wk007 ={{0,1,1,1,1,0},
                       {1,1,0,0,1,1},
                       {1,0,2,0,0,1},
                       {1,0,0,2,0,1},
                       {1,1,1,3,0,1},
                       {0,0,1,3,0,1},
                       {0,0,1,3,1,1},
                       {1,1,1,3,0,1},
                       {1,0,2,0,5,1},
                       {1,0,0,2,0,1},
                       {1,0,0,0,1,1},
                       {1,1,1,1,1,0},};
        MapArr[7].Map = (int[,])wk007.Clone();
        MapArr[7].title = "倉庫番"; MapArr[7].autor = "倉庫番";

        int[,] wk008 ={{0,1,1,1,1,0,0},
                       {0,1,0,0,1,0,0},
                       {1,1,0,0,1,1,1},
                       {1,0,2,3,0,0,1},
                       {1,0,3,2,4,0,1},
                       {1,5,0,3,2,0,1},
                       {1,1,1,0,0,1,1},
                       {0,0,1,1,1,1,0},};
        MapArr[8].Map = (int[,])wk008.Clone();
        MapArr[8].title = "倉庫番"; MapArr[8].autor = "倉庫番";

        int[,] wk009 ={{0,0,0,0,1,1,1,1},
                       {0,0,1,1,1,0,0,1},
                       {1,1,1,0,0,0,0,1},
                       {1,3,0,0,2,1,5,1},
                       {1,3,3,2,0,2,0,1},
                       {1,1,1,3,0,2,0,1},
                       {0,0,1,1,1,0,0,1},
                       {0,0,0,0,1,1,1,1},};
        MapArr[9].Map = (int[,])wk009.Clone();
        MapArr[9].title = "倉庫番"; MapArr[9].autor = "倉庫番";

        int[,] wk010 ={{0,0,0,1,1,1,1,0,0},
                       {0,0,0,1,3,3,1,0,0},
                       {1,1,1,1,3,3,1,0,0},
                       {1,0,0,0,3,3,1,1,1},
                       {1,0,2,2,0,2,0,0,1},
                       {1,0,0,0,2,1,1,0,1},
                       {1,0,0,1,0,2,0,5,1},
                       {1,1,0,1,0,0,2,0,1},
                       {0,1,0,0,0,1,0,0,1},
                       {0,1,1,1,1,1,1,1,1},};
        MapArr[10].Map = (int[,])wk010.Clone();
        MapArr[10].title = "倉庫番"; MapArr[10].autor = "倉庫番";

        int[,] wk011 ={{0,0,0,0,1,1,1,1,0},
                       {0,0,1,1,1,0,0,1,0},
                       {1,1,1,0,0,0,0,1,0},
                       {1,0,0,0,1,0,0,1,0},
                       {1,0,0,2,1,2,1,1,0},
                       {1,0,2,0,2,0,0,1,0},
                       {1,1,3,1,1,0,0,1,1},
                       {1,3,3,4,0,2,0,5,1},
                       {1,0,3,3,1,0,0,0,1},
                       {1,1,1,1,1,1,1,1,1}};
        MapArr[11].Map = (int[,])wk011.Clone();
        MapArr[11].title = "倉庫番"; MapArr[11].autor = "倉庫番";

        int[,] wk012 ={{1,1,1,1,1,0,0},
                        {1,0,0,0,1,1,1},
                        {1,0,2,0,0,0,1},
                        {1,0,2,1,0,5,1},
                        {1,0,2,3,3,0,1},
                        {1,1,1,3,3,0,1},
                        {0,0,1,1,2,0,1},
                        {0,0,0,1,0,0,1},
                        {0,0,0,1,1,1,1},};
        MapArr[12].Map = (int[,])wk012.Clone();
        MapArr[12].title = "倉庫番"; MapArr[12].autor = "倉庫番";

        int[,] wk013 ={{1,1,1,1,1,1,1},
                       {1,0,0,5,0,0,1},
                       {1,0,2,2,2,0,1},
                       {1,1,3,3,3,1,1},
                       {1,0,3,4,3,0,1},
                       {1,0,2,0,2,0,1},
                       {1,0,0,1,0,0,1},
                       {1,1,1,1,1,1,1},};
        MapArr[13].Map = (int[,])wk013.Clone();
        MapArr[13].title = "倉庫番"; MapArr[13].autor = "倉庫番";

        int[,] wk014 ={{0,0,1,1,1,1,1,0},
                       {1,1,1,0,0,0,1,0},
                       {1,3,1,0,2,0,1,0},
                       {1,3,3,2,2,0,1,1},
                       {1,3,3,1,0,0,0,1},
                       {1,3,3,2,0,1,5,1},
                       {1,0,2,0,1,0,0,1},
                       {1,1,1,2,2,0,1,1},
                       {0,0,1,0,0,0,1,0},
                       {0,0,1,1,1,1,1,0},};
        MapArr[14].Map = (int[,])wk014.Clone();
        MapArr[14].title = "倉庫番"; MapArr[14].autor = "倉庫番";

        int[,] wk015 ={{1,1,1,1,1,1,1,1},
                       {1,3,3,0,0,0,0,1},
                       {1,3,3,2,0,2,0,1},
                       {1,2,1,2,2,2,1,1},
                       {1,3,3,2,0,2,5,1},
                       {1,3,3,0,0,0,0,1},
                       {1,1,1,1,1,1,1,1},};
        MapArr[15].Map = (int[,])wk015.Clone();
        MapArr[15].title = "倉庫番"; MapArr[15].autor = "倉庫番";

        int[,] wk016 ={{1,1,1,1,1,0,0,0,0},
                       {1,0,0,0,1,1,1,1,1},
                       {1,0,1,3,3,0,2,0,1},
                       {1,0,2,3,3,1,0,0,1},
                       {1,0,2,3,3,1,0,1,1},
                       {1,0,0,1,2,0,2,0,1},
                       {1,0,0,0,0,2,0,0,1},
                       {1,1,1,1,1,0,0,5,1},
                       {0,0,0,0,1,1,1,1,1},};
        MapArr[16].Map = (int[,])wk016.Clone();
        MapArr[16].title = "倉庫番"; MapArr[16].autor = "倉庫番";

        int[,] wk017 ={{0,1,1,1,1,0,0,0},
                       {0,1,0,0,1,0,0,0},
                       {1,1,0,2,1,1,1,1},
                       {1,0,0,0,2,0,3,1},
                       {1,0,2,0,2,0,3,1},
                       {1,0,0,0,1,3,3,1},
                       {1,1,2,2,1,3,3,1},
                       {0,1,0,0,1,1,1,1},
                       {0,1,0,5,1,0,0,0},
                       {0,1,1,1,1,0,0,0},};
        MapArr[17].Map = (int[,])wk017.Clone();
        MapArr[17].title = "倉庫番"; MapArr[17].autor = "倉庫番";

        int[,] wk018 ={{0,0,1,1,1,1,0,0,0},
                       {1,1,1,0,0,1,1,1,0},
                       {1,0,2,0,0,1,3,1,1},
                       {1,0,0,2,0,3,3,3,1},
                       {1,1,1,5,1,1,3,3,1},
                       {0,1,1,2,1,1,2,0,1},
                       {0,1,0,0,2,0,0,0,1},
                       {0,1,0,0,0,1,2,0,1},
                       {0,1,1,1,1,1,0,0,1},
                       {0,0,0,0,0,1,1,1,1},};
        MapArr[18].Map = (int[,])wk018.Clone();
        MapArr[18].title = "倉庫番"; MapArr[18].autor = "倉庫番";

        int[,] wk019 ={{1,1,1,1,1,1,1,1,1,0},
                       {1,0,0,0,1,1,0,0,1,0},
                       {1,0,1,0,0,2,0,0,1,0},
                       {1,0,0,4,1,1,0,0,1,0},
                       {1,1,2,3,3,1,0,1,1,0},
                       {1,1,0,1,5,1,0,1,1,1},
                       {1,0,2,0,3,4,0,0,0,1},
                       {1,0,0,0,1,1,0,1,0,1},
                       {1,1,1,1,1,1,0,0,0,1},
                       {0,0,0,0,0,1,1,1,1,1},};
        MapArr[19].Map = (int[,])wk019.Clone();
        MapArr[19].title = "倉庫番"; MapArr[19].autor = "倉庫番";

        int[,] wk020 ={{0,0,0,0,1,1,1,1,0,0,0,0},
                       {1,1,1,1,1,0,0,1,1,1,1,1},
                       {1,0,2,0,0,0,2,0,0,0,0,1},
                       {1,0,0,0,1,1,2,1,2,0,0,1},
                       {1,1,1,0,3,4,3,1,0,1,1,1},
                       {0,0,1,5,0,3,3,3,0,1,0,0},
                       {0,0,1,1,1,2,1,0,1,1,0,0},
                       {0,0,0,0,1,0,0,0,1,0,0,0},
                       {0,0,0,0,1,1,1,1,1,0,0,0},};
        MapArr[20].Map = (int[,])wk020.Clone();
        MapArr[20].title = "倉庫番"; MapArr[20].autor = "倉庫番";

        int[,] wk021 ={{1,1,1,1,1,0},
                       {1,0,5,0,1,0},
                       {1,2,2,2,1,0},
                       {1,0,2,0,1,0},
                       {1,3,3,3,1,0},
                       {1,3,3,3,1,1},
                       {1,0,0,0,0,1},
                       {1,0,2,2,0,1},
                       {1,1,1,0,0,1},
                       {0,0,1,1,1,1},};
        MapArr[21].Map = (int[,])wk021.Clone();
        MapArr[21].title = "倉庫番"; MapArr[21].autor = "倉庫番";

        int[,] wk022 ={{0,0,1,1,1,1,0,0},
                       {0,0,1,0,5,1,0,0},
                       {1,1,1,0,2,1,1,1},
                       {1,0,0,3,3,0,0,1},
                       {1,0,0,4,3,2,0,1},
                       {1,1,1,0,0,1,1,1},
                       {0,0,1,0,2,1,0,0},
                       {0,0,1,0,0,1,0,0},
                       {0,0,1,1,1,1,0,0}};
        MapArr[22].Map = (int[,])wk022.Clone();
        MapArr[22].title = "倉庫番"; MapArr[22].autor = "倉庫番";

        int[,] wk023 ={{1,1,1,1,1,1,1,1,1},
                       {1,0,0,0,0,0,0,0,1},
                       {1,0,2,3,2,3,2,0,1},
                       {1,0,3,2,3,2,3,0,1},
                       {1,0,2,3,4,3,2,0,1},
                       {1,0,3,2,3,2,3,0,1},
                       {1,0,2,3,2,3,2,0,1},
                       {1,0,0,0,0,0,0,5,1},
                       {1,1,1,1,1,1,1,1,1},};
        MapArr[23].Map = (int[,])wk023.Clone();
        MapArr[23].title = "倉庫番"; MapArr[23].autor = "倉庫番";

        int[,] wk024 ={{1,1,1,1,1,1,1,1},
                       {1,0,2,3,3,2,0,1},
                       {1,0,2,3,3,2,0,1},
                       {1,0,2,3,3,2,0,1},
                       {1,0,0,3,1,2,5,1},
                       {1,0,2,3,3,2,0,1},
                       {1,0,2,3,3,2,0,1},
                       {1,0,2,3,3,2,0,1},
                       {1,1,1,1,1,1,1,1},};
        MapArr[24].Map = (int[,])wk024.Clone();
        MapArr[24].title = "倉庫番"; MapArr[24].autor = "倉庫番";

        int[,] wk025 ={{1,1,1,1,1,1,1,1,1},
                       {1,3,3,0,1,0,0,0,1},
                       {1,3,4,0,1,0,0,0,1},
                       {1,3,3,2,0,0,2,0,1},
                       {1,1,0,1,1,2,1,0,1},
                       {1,1,0,0,1,0,1,2,1},
                       {1,0,2,0,0,0,2,0,1},
                       {1,0,5,1,1,0,1,0,1},
                       {1,1,1,1,1,0,0,3,1},
                       {0,0,0,0,1,1,1,1,1},};
        MapArr[25].Map = (int[,])wk025.Clone();
        MapArr[25].title = "倉庫番"; MapArr[25].autor = "倉庫番";

        int[,] wk026 ={{1,1,1,1,1,1,1,1,1},
                       {1,0,3,0,2,0,0,0,1},
                       {1,0,2,3,2,0,2,0,1},
                       {1,3,4,3,4,3,4,3,1},
                       {1,0,2,0,2,3,2,0,1},
                       {1,5,0,0,2,0,3,0,1},
                       {1,1,1,1,1,1,1,1,1},};
        MapArr[26].Map = (int[,])wk026.Clone();
        MapArr[26].title = "倉庫番"; MapArr[26].autor = "倉庫番";

        int[,] wk027 ={{0,0,0,1,1,1,1,1},
                       {0,0,0,1,0,0,0,1},
                       {0,0,0,1,0,2,0,1},
                       {1,1,1,1,0,3,1,1},
                       {1,0,2,0,3,2,3,1},
                       {1,5,2,0,1,3,1,1},
                       {1,0,2,0,2,0,3,1},
                       {1,1,1,1,1,3,1,1},
                       {0,0,0,0,1,1,1,0},};
        MapArr[27].Map = (int[,])wk027.Clone();
        MapArr[27].title = "倉庫番"; MapArr[27].autor = "倉庫番";

        int[,] wk028 ={{1,1,1,1,1,1,0,0},
                       {1,0,0,0,0,1,0,0},
                       {1,0,2,2,4,1,0,0},
                       {1,0,0,4,3,1,1,1},
                       {1,0,0,3,3,0,0,1},
                       {1,1,1,3,4,0,5,1},
                       {0,0,1,4,2,2,0,1},
                       {0,0,1,0,0,0,0,1},
                       {0,0,1,1,1,1,1,1},};
        MapArr[28].Map = (int[,])wk028.Clone();
        MapArr[28].title = "倉庫番"; MapArr[28].autor = "倉庫番";

        int[,] wk029 ={{0,1,1,1,1,1,0,0},
                       {0,1,0,5,0,1,0,0},
                       {0,1,2,2,2,1,1,1},
                       {1,1,3,1,3,1,3,1},
                       {1,3,2,0,0,2,0,1},
                       {1,0,3,1,3,1,3,1},
                       {1,0,0,2,0,2,0,1},
                       {1,1,0,0,0,0,0,1},
                       {0,1,1,1,1,1,1,1},};
        MapArr[29].Map = (int[,])wk029.Clone();
        MapArr[29].title = "倉庫番"; MapArr[29].autor = "倉庫番";

        int[,] wk030 ={{1,1,1,1,1,1},
                       {1,1,0,0,0,1},
                       {1,0,0,2,5,1},
                       {1,0,0,2,1,1},
                       {1,0,1,0,1,1},
                       {1,0,2,0,1,1},
                       {1,0,1,3,3,1},
                       {1,0,2,2,3,1},
                       {1,0,0,3,3,1},
                       {1,1,1,1,1,1},};
        MapArr[30].Map = (int[,])wk030.Clone();
        MapArr[30].title = "倉庫番"; MapArr[30].autor = "倉庫番";

        int[,] wk031 ={{0,1,1,1,1,1,1,1,1},
                       {1,1,0,3,3,1,0,0,1},
                       {1,0,4,2,0,3,2,0,1},
                       {1,0,0,2,5,2,0,0,1},
                       {1,0,2,3,0,2,4,0,1},
                       {1,0,0,1,3,3,0,1,1},
                       {1,1,1,1,1,1,1,1,0},};
        MapArr[31].Map = (int[,])wk031.Clone();
        MapArr[31].title = "倉庫番"; MapArr[31].autor = "倉庫番";

        int[,] wk032 ={{0,0,1,1,1,1,1},
                       {1,1,1,0,0,0,1},
                       {1,0,0,2,1,0,1},
                       {1,0,1,0,2,0,1},
                       {1,0,2,0,1,5,1},
                       {1,1,0,2,3,3,1},
                       {0,1,0,2,4,3,1},
                       {0,1,0,0,3,3,1},
                       {0,1,1,1,1,1,1},};
        MapArr[32].Map = (int[,])wk032.Clone();
        MapArr[32].title = "倉庫番"; MapArr[32].autor = "倉庫番";

        int[,] wk033 ={{1,1,1,1,1,1,0},
                       {1,0,0,5,0,1,0},
                       {1,0,2,2,2,1,0},
                       {1,0,0,3,0,1,0},
                       {1,0,3,4,3,1,0},
                       {1,0,4,0,4,1,1},
                       {1,1,3,4,3,0,1},
                       {0,1,0,3,0,0,1},
                       {0,1,2,2,2,0,1},
                       {0,1,0,0,0,0,1},
                       {0,1,1,1,1,1,1},};
        MapArr[33].Map = (int[,])wk033.Clone();
        MapArr[33].title = "倉庫番"; MapArr[33].autor = "倉庫番";

        int[,] wk034 ={{1,1,1,1,1,1,1},
                       {1,0,0,5,0,0,1},
                       {1,0,2,0,2,1,1},
                       {1,1,2,2,0,0,1},
                       {0,1,3,3,3,3,1},
                       {0,1,1,1,1,1,1},};
        MapArr[34].Map = (int[,])wk034.Clone();
        MapArr[34].title = "倉庫番"; MapArr[34].autor = "倉庫番";

        int[,] wk035 ={{0,1,1,1,1,1,1,1},
                       {1,1,0,0,0,0,0,1},
                       {1,0,4,0,2,0,0,1},
                       {1,0,0,0,1,2,3,1},
                       {1,3,1,1,1,0,1,1},
                       {1,5,0,0,0,2,0,1},
                       {1,1,0,0,1,4,0,1},
                       {0,1,1,0,0,3,0,1},
                       {0,0,1,1,1,1,1,1},};
        MapArr[35].Map = (int[,])wk035.Clone();
        MapArr[35].title = "倉庫番"; MapArr[35].autor = "倉庫番";

        int[,] wk036 ={{0,1,1,1,1,1,1,0,0},
                       {0,1,0,0,0,0,1,0,0},
                       {1,1,0,2,0,0,1,1,1},
                       {1,0,2,2,0,3,2,3,1},
                       {1,0,3,3,1,2,0,0,1},
                       {1,0,1,1,1,3,1,1,1},
                       {1,3,1,5,2,0,1,0,0},
                       {1,1,1,0,2,0,1,1,0},
                       {0,0,1,0,0,0,3,1,0},
                       {0,0,1,1,1,1,1,1,0},};
        MapArr[36].Map = (int[,])wk036.Clone();
        MapArr[36].title = "倉庫番"; MapArr[36].autor = "倉庫番";

        int[,] wk037 ={{1,1,1,1,0,0,0,0,0,0},
                       {1,0,0,1,1,1,0,0,0,0},
                       {1,0,0,0,0,1,1,1,1,1},
                       {1,0,2,1,3,3,0,2,0,1},
                       {1,0,0,2,3,3,1,0,0,1},
                       {1,0,2,1,0,0,1,2,0,1},
                       {1,0,0,1,3,3,2,0,0,1},
                       {1,0,2,0,3,3,1,2,0,1},
                       {1,1,1,1,1,0,0,0,0,1},
                       {0,0,0,0,1,1,1,0,5,1},
                       {0,0,0,0,0,0,1,1,1,1},};
        MapArr[37].Map = (int[,])wk037.Clone();
        MapArr[37].title = "倉庫番"; MapArr[37].autor = "倉庫番";

        int[,] wk038 ={{1,1,1,1,1,0,0},
                       {1,3,0,0,1,1,1},
                       {1,3,0,2,2,0,1},
                       {1,3,2,0,0,0,1},
                       {1,3,0,1,2,5,1},
                       {1,3,1,0,0,0,1},
                       {1,3,0,2,2,0,1},
                       {1,1,1,0,0,0,1},
                       {0,0,1,1,1,1,1},};
        MapArr[38].Map = (int[,])wk038.Clone();
        MapArr[38].title = "倉庫番"; MapArr[38].autor = "倉庫番";

        int[,] wk039 ={{0,1,1,1,1,1,1,1,0},
                       {1,1,0,0,4,0,0,1,1},
                       {1,0,3,2,2,0,3,0,1},
                       {1,0,0,0,2,0,0,0,1},
                       {1,4,3,4,4,4,3,4,1},
                       {1,0,0,0,2,0,5,0,1},
                       {1,0,3,0,2,2,3,0,1},
                       {1,1,0,0,4,0,0,1,1},
                       {0,1,1,1,1,1,1,1,0},};
        MapArr[39].Map = (int[,])wk039.Clone();
        MapArr[39].title = "倉庫番"; MapArr[39].autor = "倉庫番";

        int[,] wk040 ={{1,1,1,1,1,1,1,1,1},
                        {1,0,0,0,4,0,0,0,1},
                        {1,5,0,3,2,3,2,0,1},
                        {1,0,3,2,3,2,3,0,1},
                        {1,0,2,3,2,3,2,0,1},
                        {1,0,0,0,4,0,0,0,1},
                        {1,1,1,1,1,1,1,1,1},};
        MapArr[40].Map = (int[,])wk040.Clone();
        MapArr[40].title = "倉庫番"; MapArr[40].autor = "倉庫番";

        int[,] wk041 ={{0,1,1,1,1,1,0,0,0},
                       {1,1,0,0,0,1,1,1,1},
                       {1,0,0,0,2,0,2,0,1},
                       {1,0,1,3,4,3,1,5,1},
                       {1,0,1,3,4,3,1,0,1},
                       {1,0,2,0,2,0,0,0,1},
                       {1,1,1,1,0,0,0,1,1},
                       {0,0,0,1,1,1,1,1,0},};
        MapArr[41].Map = (int[,])wk041.Clone();
        MapArr[41].title = "倉庫番"; MapArr[41].autor = "倉庫番";

        int[,] wk042 ={{1,1,1,1,1,1,1,1,1},
                       {1,0,0,0,0,2,3,0,1},
                       {1,0,2,0,2,3,0,2,1},
                       {1,4,4,3,4,4,3,3,1},
                       {1,0,2,0,2,3,2,0,1},
                       {1,5,0,0,0,0,3,0,1},
                       {1,1,1,1,1,1,1,1,1},};
        MapArr[42].Map = (int[,])wk042.Clone();
        MapArr[42].title = "倉庫番"; MapArr[42].autor = "倉庫番";

        int[,] wk043 ={{0,0,0,1,1,1,1,1,0,0},
                       {1,1,1,1,0,0,0,1,0,0},
                       {1,0,2,0,0,1,0,1,0,0},
                       {1,0,0,1,0,2,0,1,1,1},
                       {1,0,1,0,2,5,0,2,0,1},
                       {1,0,1,3,4,3,2,1,3,1},
                       {1,0,1,4,3,4,0,1,3,1},
                       {1,0,1,0,0,0,0,2,3,1},
                       {1,0,0,1,1,1,0,0,0,1},
                       {1,1,0,0,0,0,0,1,1,1},
                       {0,1,1,1,1,1,1,1,0,0},};
        MapArr[43].Map = (int[,])wk043.Clone();
        MapArr[43].title = "倉庫番"; MapArr[43].autor = "倉庫番";

        int[,] wk044 ={{1,1,1,1,1,1,1,1,1},
                       {1,0,0,2,3,0,0,0,1},
                       {1,2,0,2,3,2,2,0,1},
                       {1,3,3,4,4,4,3,3,1},
                       {1,0,0,2,3,2,2,0,1},
                       {1,5,0,0,3,0,0,0,1},
                       {1,1,1,1,1,1,1,1,1},};
        MapArr[44].Map = (int[,])wk044.Clone();
        MapArr[44].title = "倉庫番"; MapArr[44].autor = "倉庫番";

        int[,] wk045 ={{0,1,1,1,1,1,1,1},
                       {0,1,0,0,3,0,3,1},
                       {0,1,0,0,0,1,0,1},
                       {0,1,0,2,2,1,0,1},
                       {0,1,2,0,0,1,0,1},
                       {1,1,5,1,1,1,0,1},
                       {1,3,0,0,2,0,0,1},
                       {1,3,2,2,0,1,2,1},
                       {1,3,1,0,0,3,3,1},
                       {1,1,1,1,1,1,1,1},};
        MapArr[45].Map = (int[,])wk045.Clone();
        MapArr[45].title = "倉庫番"; MapArr[45].autor = "倉庫番";

        int[,] wk046 ={{0,1,1,1,1,0,0},
                       {0,1,0,0,1,0,0},
                       {0,1,0,0,1,0,0},
                       {0,1,0,2,1,1,0},
                       {1,1,1,3,0,1,1},
                       {1,0,0,4,0,0,1},
                       {1,0,0,4,0,0,1},
                       {1,0,0,4,0,0,1},
                       {1,0,5,4,1,1,1},
                       {1,1,0,4,0,0,1},
                       {0,1,0,4,0,0,1},
                       {0,1,1,3,1,0,1},
                       {0,1,0,2,0,0,1},
                       {0,1,0,0,0,1,1},
                       {0,1,1,1,1,1,0},};
        MapArr[46].Map = (int[,])wk046.Clone();
        MapArr[46].title = "倉庫番"; MapArr[46].autor = "倉庫番";

        int[,] wk047 ={{1,1,1,1,1,1,1,1,1},
                       {1,0,0,0,4,0,0,0,1},
                       {1,0,2,2,3,2,0,0,1},
                       {1,3,3,3,3,4,4,4,1},
                       {1,0,2,2,3,2,0,0,1},
                       {1,5,0,0,4,0,0,0,1},
                       {1,1,1,1,1,1,1,1,1},};
        MapArr[47].Map = (int[,])wk047.Clone();
        MapArr[47].title = "倉庫番"; MapArr[47].autor = "倉庫番";

        int[,] wk048 ={{0,1,1,1,1,1,1,1,0},
                       {1,1,0,0,0,0,0,1,1},
                       {1,0,1,3,2,0,2,0,1},
                       {1,0,3,4,3,2,0,0,1},
                       {1,0,2,3,1,3,2,5,1},
                       {1,0,0,2,3,1,3,0,1},
                       {1,0,2,0,2,3,1,0,1},
                       {1,1,0,0,0,0,0,1,1},
                       {0,1,1,1,1,1,1,1,0},};
        MapArr[48].Map = (int[,])wk048.Clone();
        MapArr[48].title = "倉庫番"; MapArr[48].autor = "倉庫番";

        int[,] wk049 ={{1,1,1,1,1,1,1,1,1},
                       {1,0,2,3,0,0,0,0,1},
                       {1,0,2,2,3,2,2,0,1},
                       {1,3,4,3,3,3,4,3,1},
                       {1,0,2,2,3,2,2,0,1},
                       {1,5,0,3,0,0,0,0,1},
                       {1,1,1,1,1,1,1,1,1},};
        MapArr[49].Map = (int[,])wk049.Clone();
        MapArr[49].title = "倉庫番"; MapArr[49].autor = "倉庫番";

        int[,] wk050 ={{0,1,1,1,1,1,1,0},
                       {0,1,0,0,0,0,1,1},
                       {1,1,0,4,0,0,0,1},
                       {1,0,4,0,4,1,0,1},
                       {1,0,0,4,0,1,5,1},
                       {1,0,4,0,4,1,1,1},
                       {1,1,0,4,0,2,0,1},
                       {0,1,3,0,0,0,0,1},
                       {0,1,0,0,0,1,1,1},
                       {0,1,1,1,1,1,0,0},};
        MapArr[50].Map = (int[,])wk050.Clone();
        MapArr[50].title = "倉庫番"; MapArr[50].autor = "倉庫番";

        int[,] wk051 ={{1,1,1,1,1,1,1,1,1},
                       {1,0,0,0,3,0,0,0,1},
                       {1,0,2,4,2,2,2,0,1},
                       {1,3,3,3,4,3,3,3,1},
                       {1,0,2,2,2,4,2,0,1},
                       {1,5,0,0,3,0,0,0,1},
                       {1,1,1,1,1,1,1,1,1},};
        MapArr[51].Map = (int[,])wk051.Clone();
        MapArr[51].title = "倉庫番"; MapArr[51].autor = "倉庫番";

        int[,] wk052 ={{1,1,1,1,1,1,1,1},
                       {1,0,0,3,3,0,0,1},
                       {1,0,2,0,0,2,0,1},
                       {1,0,1,3,3,1,0,1},
                       {1,0,2,2,2,2,0,1},
                       {1,0,1,3,3,1,0,1},
                       {1,0,2,3,3,2,0,1},
                       {1,0,1,3,3,1,0,1},
                       {1,0,2,2,2,2,0,1},
                       {1,1,5,3,3,1,1,1},
                       {0,1,1,1,1,1,0,0},};
        MapArr[52].Map = (int[,])wk052.Clone();
        MapArr[52].title = "倉庫番"; MapArr[52].autor = "倉庫番";

        int[,] wk053 ={{0,0,0,0,1,1,1,1},
                       {0,1,1,1,1,0,0,1},
                       {0,1,0,0,0,2,0,1},
                       {0,1,3,1,4,0,0,1},
                       {0,1,3,3,3,0,1,1},
                       {1,1,0,4,1,2,1,1},
                       {1,0,2,0,2,0,0,1},
                       {1,0,1,0,0,0,5,1},
                       {1,0,0,0,1,1,1,1},
                       {1,1,1,1,1,0,0,0},};
        MapArr[53].Map = (int[,])wk053.Clone();
        MapArr[53].title = "倉庫番"; MapArr[53].autor = "倉庫番";

        int[,] wk054 ={{1,1,1,1,1},
                       {1,0,0,0,1},
                       {1,0,2,0,1},
                       {1,0,2,0,1},
                       {1,0,2,0,1},
                       {1,3,4,3,1},
                       {1,3,4,3,1},
                       {1,3,4,3,1},
                       {1,0,0,0,1},
                       {1,2,2,2,1},
                       {1,0,5,0,1},
                       {1,1,1,1,1},};
        MapArr[54].Map = (int[,])wk054.Clone();
        MapArr[54].title = "倉庫番"; MapArr[54].autor = "倉庫番";

        int[,] wk055 ={{0,0,1,1,1,1,1,0,0},
                       {0,0,1,0,0,0,1,0,0},
                       {1,1,1,0,1,0,1,1,1},
                       {1,0,2,0,1,0,0,0,1},
                       {1,0,3,3,2,3,3,0,1},
                       {1,0,2,0,1,0,0,0,1},
                       {1,1,1,2,1,1,1,1,1},
                       {0,0,1,0,0,1,0,0,0},
                       {0,0,1,0,5,1,0,0,0},
                       {0,0,1,0,0,1,0,0,0},
                       {0,0,1,1,1,1,0,0,0},};
        MapArr[55].Map = (int[,])wk055.Clone();
        MapArr[55].title = "倉庫番"; MapArr[55].autor = "倉庫番";

        int[,] wk056 ={{1,1,1,1,1,1,1,1,1,1},
                       {1,0,0,0,1,1,0,0,0,1},
                       {1,5,2,0,2,0,0,0,0,1},
                       {1,1,2,1,1,3,1,2,1,1},
                       {1,0,0,3,3,3,1,0,0,1},
                       {1,0,0,1,3,3,3,0,0,1},
                       {1,1,2,1,3,1,1,2,0,1},
                       {0,1,0,2,0,1,1,0,1,1},
                       {0,1,0,1,0,2,0,0,0,1},
                       {0,1,0,0,0,1,0,0,0,1},
                       {0,1,1,1,1,1,1,1,1,1},};
        MapArr[56].Map = (int[,])wk056.Clone();
        MapArr[56].title = "倉庫番"; MapArr[56].autor = "倉庫番";

        int[,] wk057 ={{0,0,1,1,1,1,1,0,0},
                       {0,0,1,0,0,0,1,0,0},
                       {0,0,1,0,2,0,1,0,0},
                       {0,0,1,0,2,0,1,0,0},
                       {0,0,1,0,2,0,1,0,0},
                       {0,0,1,0,2,0,1,0,0},
                       {0,0,1,0,4,0,1,0,0},
                       {0,0,1,0,4,0,1,0,0},
                       {0,0,1,0,4,0,1,0,0},
                       {1,1,1,0,4,0,1,1,1},
                       {1,0,0,0,2,0,0,0,1},
                       {1,0,4,3,3,3,4,0,1},
                       {1,0,0,0,3,0,0,0,1},
                       {1,1,1,0,3,0,1,1,1},
                       {0,0,1,0,5,0,1,0,0},
                       {0,0,1,1,1,1,1,0,0},};
        MapArr[57].Map = (int[,])wk057.Clone();
        MapArr[57].title = "倉庫番"; MapArr[57].autor = "倉庫番";

        int[,] wk058 ={{1,1,1,1,1,1,1},
                       {1,0,0,4,0,0,1},
                       {1,0,3,2,3,0,1},
                       {1,3,2,3,2,3,1},
                       {1,2,3,2,3,2,1},
                       {1,0,2,3,2,0,1},
                       {1,1,0,5,0,0,1},
                       {0,1,0,0,1,1,1},
                       {0,1,1,1,1,0,0},};
        MapArr[58].Map = (int[,])wk058.Clone();
        MapArr[58].title = "倉庫番"; MapArr[58].autor = "倉庫番";

        int[,] wk059 ={{0,0,0,0,0,1,1,1,1},
                       {0,0,0,0,0,1,0,0,1},
                       {0,0,0,0,1,1,0,0,1},
                       {1,1,1,1,1,3,2,0,1},
                       {1,0,0,2,3,2,3,0,1},
                       {1,5,2,3,2,3,2,3,1},
                       {1,0,0,2,3,2,3,0,1},
                       {1,1,1,1,1,3,2,0,1},
                       {0,0,0,0,1,1,0,0,1},
                       {0,0,0,0,0,1,0,0,1},
                       {0,0,0,0,0,1,1,1,1},};
        MapArr[59].Map = (int[,])wk059.Clone();
        MapArr[59].title = "倉庫番"; MapArr[59].autor = "倉庫番";

        int[,] wk060 ={{0,0,0,1,1,1,1,1,0,0,0},
                       {0,0,0,1,0,0,0,1,0,0,0},
                       {0,0,0,1,2,2,0,1,0,0,0},
                       {1,1,1,1,0,3,0,1,1,1,1},
                       {1,0,0,0,4,3,4,0,2,0,1},
                       {1,0,2,3,3,3,3,3,2,5,1},
                       {1,0,2,0,4,3,4,0,2,0,1},
                       {1,1,1,1,0,3,0,1,1,1,1},
                       {0,0,0,1,0,2,2,1,0,0,0},
                       {0,0,0,1,0,0,0,1,0,0,0},
                       {0,0,0,1,1,1,1,1,0,0,0},};
        MapArr[60].Map = (int[,])wk060.Clone();
        MapArr[60].title = "倉庫番"; MapArr[60].autor = "倉庫番";

        int[,] wk061 ={{1,1,1,1,1,1,1,1,1},
                       {1,0,0,0,4,0,0,0,1},
                       {1,0,0,2,0,4,0,2,1},
                       {1,3,3,4,3,4,3,3,1},
                       {1,0,2,3,2,2,2,0,1},
                       {1,0,0,0,4,0,0,5,1},
                       {1,1,1,1,1,1,1,1,1},};
        MapArr[61].Map = (int[,])wk061.Clone();
        MapArr[61].title = "倉庫番"; MapArr[61].autor = "倉庫番";

        int[,] wk062 ={{1,1,1,1,1,1,1,1,1},
                       {1,5,0,2,3,0,0,0,1},
                       {1,0,2,0,4,0,2,0,1},
                       {1,4,3,4,3,3,3,4,1},
                       {1,0,0,0,4,2,2,0,1},
                       {1,0,2,0,3,0,0,0,1},
                       {1,1,1,1,1,1,1,1,1},};
        MapArr[62].Map = (int[,])wk062.Clone();
        MapArr[62].title = "倉庫番"; MapArr[62].autor = "倉庫番";

        int[,] wk063 ={{0,0,1,1,1,1,0},
                       {0,0,1,0,5,1,0},
                       {1,1,1,2,0,1,0},
                       {1,0,2,0,2,1,1},
                       {1,0,1,3,3,0,1},
                       {1,0,3,3,1,0,1},
                       {1,1,0,3,4,0,1},
                       {0,1,0,1,2,0,1},
                       {0,1,0,0,0,1,1},
                       {0,1,0,2,0,1,0},
                       {0,1,0,0,0,1,0},
                       {0,1,1,1,1,1,0},};
        MapArr[63].Map = (int[,])wk063.Clone();
        MapArr[63].title = "倉庫番"; MapArr[63].autor = "倉庫番";

        int[,] wk064 ={{1,1,1,1,1,0,0,0,0,0},
                       {1,0,0,0,1,0,0,0,0,0},
                       {1,0,2,0,1,0,0,0,0,0},
                       {1,0,5,0,1,1,1,1,1,1},
                       {1,0,2,0,1,3,3,3,3,1},
                       {1,1,2,0,0,0,0,3,0,1},
                       {1,0,2,0,1,0,0,3,0,1},
                       {1,0,2,0,1,1,1,1,1,1},
                       {1,0,2,0,1,0,0,0,0,0},
                       {1,0,0,0,1,0,0,0,0,0},
                       {1,1,1,1,1,0,0,0,0,0},};
        MapArr[64].Map = (int[,])wk064.Clone();
        MapArr[64].title = "倉庫番"; MapArr[64].autor = "倉庫番";

        int[,] wk065 ={{0,1,1,1,1,0,0},
                       {0,1,0,0,1,1,0},
                       {1,1,0,2,0,1,0},
                       {1,0,0,0,0,1,1},
                       {1,0,3,4,3,0,1},
                       {1,1,0,4,1,0,1},
                       {0,1,1,3,0,0,1},
                       {0,0,1,2,0,1,1},
                       {0,0,1,5,0,1,0},
                       {0,0,1,0,2,1,0},
                       {0,0,1,0,0,1,0},
                       {0,0,1,1,1,1,0},};
        MapArr[65].Map = (int[,])wk065.Clone();
        MapArr[65].title = "倉庫番"; MapArr[65].autor = "倉庫番";

        int[,] wk066 ={{0,0,1,1,1,1,1,0,0},
                       {0,0,1,0,0,0,1,0,0},
                       {1,1,1,0,0,0,1,1,1},
                       {1,0,0,4,4,4,0,0,1},
                       {1,0,0,4,3,4,0,0,1},
                       {1,0,0,4,3,4,0,0,1},
                       {1,1,1,2,0,2,1,1,1},
                       {0,0,1,0,0,0,1,0,0},
                       {0,0,1,0,5,1,1,0,0},
                       {0,0,1,1,1,1,0,0,0},};
        MapArr[66].Map = (int[,])wk066.Clone();
        MapArr[66].title = "倉庫番"; MapArr[66].autor = "倉庫番";

        int[,] wk067 ={{1,1,1,1,1,1,0},
                       {1,0,2,3,0,1,1},
                       {1,0,2,3,0,0,1},
                       {1,0,4,5,4,0,1},
                       {1,0,0,3,2,0,1},
                       {1,1,0,3,2,0,1},
                       {0,1,1,1,1,1,1},};
        MapArr[67].Map = (int[,])wk067.Clone();
        MapArr[67].title = "倉庫番"; MapArr[67].autor = "倉庫番";

        int[,] wk068 ={{0,1,1,1,1,1,0},
                       {1,1,0,3,0,1,1},
                       {1,0,0,2,0,0,1},
                       {1,3,0,3,1,0,1},
                       {1,0,1,2,2,0,1},
                       {1,0,0,5,1,1,1},
                       {1,1,1,1,1,0,0},};
        MapArr[68].Map = (int[,])wk068.Clone();
        MapArr[68].title = "倉庫番"; MapArr[68].autor = "倉庫番";

        int[,] wk069 ={{0,1,1,1,1,1,1,0},
                       {0,1,0,0,0,0,1,1},
                       {1,1,0,1,1,0,0,1},
                       {1,0,0,3,2,3,0,1},
                       {1,0,2,1,0,2,0,1},
                       {1,1,0,5,3,0,1,1},
                       {0,1,1,1,1,1,1,0},};
        MapArr[69].Map = (int[,])wk069.Clone();
        MapArr[69].title = "倉庫番"; MapArr[69].autor = "倉庫番";

        int[,] wk070 ={{0,0,0,0,1,1,1,1},
                       {0,0,0,0,1,0,0,1},
                       {0,0,0,0,1,2,3,1},
                       {1,1,1,1,1,0,0,1},
                       {1,0,3,0,3,4,0,1},
                       {1,0,0,2,3,4,5,1},
                       {1,0,2,0,0,0,2,1},
                       {1,1,1,1,1,0,0,1},
                       {0,0,0,0,1,1,1,1},};
        MapArr[70].Map = (int[,])wk070.Clone();
        MapArr[70].title = "倉庫番"; MapArr[70].autor = "倉庫番";

        int[,] wk071 ={{1,1,1,1,1,1,1,1,1,1},
                       {1,0,0,3,0,0,3,0,0,1},
                       {1,0,0,2,5,0,2,0,0,1},
                       {1,3,2,1,1,1,1,2,3,1},
                       {1,0,0,1,0,0,1,0,0,1},
                       {1,3,2,1,0,0,1,2,3,1},
                       {1,0,0,1,0,0,1,0,0,1},
                       {1,1,1,1,0,0,1,1,1,1},};
        MapArr[71].Map = (int[,])wk071.Clone();
        MapArr[71].title = "倉庫番"; MapArr[71].autor = "倉庫番";

        int[,] wk072 ={{1,1,1,1,1,0,1,1,1,1},
                       {1,0,0,0,1,0,1,0,0,1},
                       {1,0,2,0,1,1,1,2,0,1},
                       {1,1,0,0,3,3,3,2,5,1},
                       {1,0,0,2,3,4,3,0,0,1},
                       {1,0,2,0,1,1,1,0,0,1},
                       {1,0,0,1,1,0,1,1,1,1},
                       {1,1,1,1,0,0,0,0,0,0},};
        MapArr[72].Map = (int[,])wk072.Clone();
        MapArr[72].title = "倉庫番"; MapArr[72].autor = "倉庫番";

        int[,] wk073 ={{0,0,1,1,1,1,1,0},
                       {0,0,1,0,0,0,1,1},
                       {1,1,1,2,0,2,0,1},
                       {1,0,2,3,4,3,5,1},
                       {1,0,0,3,3,3,0,1},
                       {1,1,1,2,0,2,1,1},
                       {0,0,1,0,0,0,1,0},
                       {0,0,1,1,1,1,1,0},};
        MapArr[73].Map = (int[,])wk073.Clone();
        MapArr[73].title = "倉庫番"; MapArr[73].autor = "倉庫番";

        int[,] wk074 ={{0,0,0,1,1,1,1,0},
                       {1,1,1,1,0,0,1,0},
                       {1,0,0,0,4,0,1,0},
                       {1,0,4,0,0,0,1,0},
                       {1,1,4,1,0,4,1,1},
                       {1,0,2,0,5,0,0,1},
                       {1,0,3,0,4,0,0,1},
                       {1,0,0,1,1,1,1,1},
                       {1,1,1,1,0,0,0,0},};
        MapArr[74].Map = (int[,])wk074.Clone();
        MapArr[74].title = "倉庫番"; MapArr[74].autor = "倉庫番";

        int[,] wk075 ={{0,1,1,1,1,1,1},
                       {0,1,0,0,0,5,1},
                       {1,1,0,1,1,0,1},
                       {1,3,2,4,0,0,1},
                       {1,0,0,0,3,1,1},
                       {1,1,2,1,0,1,0},
                       {0,1,0,0,0,1,0},
                       {0,1,1,1,1,1,0},};
        MapArr[75].Map = (int[,])wk075.Clone();
        MapArr[75].title = "倉庫番"; MapArr[75].autor = "倉庫番";

        int[,] wk076 ={{0,0,0,0,0,1,1,1,1},
                       {0,0,1,1,1,1,0,0,1},
                       {0,0,1,0,0,1,0,0,1},
                       {0,0,1,0,0,1,0,0,1},
                       {0,0,1,0,0,1,2,1,1},
                       {1,1,1,1,4,4,0,0,1},
                       {1,0,0,0,0,0,5,0,1},
                       {1,0,2,1,3,3,0,1,1},
                       {1,0,0,1,1,1,1,1,0},
                       {1,1,1,1,0,0,0,0,0},};
        MapArr[76].Map = (int[,])wk076.Clone();
        MapArr[76].title = "倉庫番"; MapArr[76].autor = "倉庫番";

        int[,] wk077 ={{1,1,1,1,1,1,1,1},
                       {1,0,3,0,0,0,3,1},
                       {1,0,0,1,1,0,5,1},
                       {1,1,0,0,2,0,0,1},
                       {0,1,0,1,2,2,0,1},
                       {0,1,3,0,0,1,1,1},
                       {0,1,1,1,1,1,0,0},};
        MapArr[77].Map = (int[,])wk077.Clone();
        MapArr[77].title = "倉庫番"; MapArr[77].autor = "倉庫番";

        int[,] wk078 ={{1,1,1,1,1,1,1,0},
                       {1,0,2,3,0,0,1,0},
                       {1,0,1,0,0,4,1,1},
                       {1,0,0,0,4,0,0,1},
                       {1,1,1,0,0,1,5,1},
                       {0,0,1,0,4,0,0,1},
                       {0,0,1,0,0,1,1,1},
                       {0,0,1,1,1,1,0,0},};
        MapArr[78].Map = (int[,])wk078.Clone();
        MapArr[78].title = "倉庫番"; MapArr[78].autor = "倉庫番";

        int[,] wk079 ={{0,1,1,1,1,1,0},
                       {1,1,0,0,0,1,1},
                       {1,0,2,0,2,0,1},
                       {1,3,3,3,3,3,1},
                       {1,0,2,2,2,0,1},
                       {1,1,0,5,0,1,1},
                       {0,1,1,1,1,1,0},};
        MapArr[79].Map = (int[,])wk079.Clone();
        MapArr[79].title = "倉庫番"; MapArr[79].autor = "倉庫番";

        int[,] wk080 ={{0,0,1,1,1,1,1,0},
                       {1,1,1,0,0,0,1,0},
                       {1,3,0,5,1,2,1,1},
                       {1,3,1,2,2,0,0,1},
                       {1,3,0,0,2,1,0,1},
                       {1,3,0,0,0,0,0,1},
                       {1,1,1,1,1,1,1,1},};
        MapArr[80].Map = (int[,])wk080.Clone();
        MapArr[80].title = "倉庫番"; MapArr[80].autor = "倉庫番";

        int[,] wk081 ={{0,0,0,0,0,1,1,1,1,},
                       {0,1,1,1,1,1,0,0,1,},
                       {0,1,0,2,0,2,0,0,1,},
                       {0,1,3,1,0,1,3,0,1,},
                       {0,1,0,2,5,2,0,1,1,},
                       {1,1,3,1,0,1,3,1,1,},
                       {1,0,0,4,0,4,0,0,1,},
                       {1,0,0,0,1,0,0,0,1,},
                       {1,1,1,1,1,1,1,1,1,},};
        MapArr[81].Map = XYRev(wk081);
        MapArr[81].title = "俺とお前の倉庫番"; MapArr[81].autor = "ステージ5";

        int[,] wk082 ={{0,0,0,1,1,1,1,1},
                       {0,0,0,1,0,0,0,1},
                       {1,1,1,1,3,2,3,1},
                       {1,0,3,3,0,0,1,1},
                       {1,0,1,0,2,0,1,1},
                       {1,0,2,0,1,2,0,1},
                       {1,0,0,0,5,0,0,1},
                       {1,1,1,1,1,1,1,1},};
        MapArr[82].Map = XYRev(wk082);
        MapArr[82].title = "倉庫番"; MapArr[82].autor = "倉庫番";

        int[,] wk083 ={{1,1,1,1,1,1,1,1,1,1,1,1},
                       {1,0,0,0,1,0,1,3,3,3,3,1},
                       {1,5,0,2,0,0,1,3,3,3,3,1},
                       {1,1,1,0,2,0,1,0,4,3,3,1},
                       {1,0,0,2,0,2,1,0,0,0,3,1},
                       {1,0,2,0,2,0,1,1,2,0,1,1},
                       {1,0,0,2,0,2,0,0,0,1,1,1},
                       {1,0,2,0,0,0,0,1,0,0,0,1},
                       {1,0,0,1,1,2,1,1,1,1,0,1},
                       {1,0,0,0,0,0,0,0,0,0,0,1},
                       {1,1,1,1,1,1,1,1,1,1,1,1},};
        MapArr[83].Map = XYRev(wk083);
        MapArr[83].title = "倉庫番"; MapArr[83].autor = "倉庫番";

    }

    internal static void MapLoad(int stageNo)
    {
        CApl.ins_MapInfo.GenzaiMap = (int[,])(MapArr[stageNo].Map.Clone());
        CApl.Map_haba_X = CApl.ins_MapInfo.GenzaiMap.GetUpperBound(0) + 1;
        CApl.Map_haba_Y = CApl.ins_MapInfo.GenzaiMap.GetUpperBound(1) + 1;
        CApl.GenzaiStage = stageNo;
    }
}
