﻿using System.Windows.Forms;

class MapInfo
{
    internal int[,] GenzaiMap = new int[CApl.Map_haba_X, CApl.Map_haba_Y];

    //0 空間
    //1 壁
    //2 荷物
    //3 荷物置場
    //4 荷物置場にある荷物
    //5 人
    //6 荷物置場にいる人

    internal void MapPrint(PaintEventArgs e)
    {
        for (int X = 0; X < CApl.Map_haba_X; X++) {
            for (int Y = 0; Y < CApl.Map_haba_Y; Y++) {
                //マップを描画
                CApl.ins_CImages.ExecDraw(GenzaiMap[X, Y], X * CImages.bmp_haba_X, Y * CImages.bmp_haba_Y, e);
            }
        }
    }

    private void getGenzaiti(out int OutX, out int OutY)
    {
        OutX = OutY = 1;
        for (int X = 0; X < CApl.Map_haba_X; X++) {
            for (int Y = 0; Y < CApl.Map_haba_Y; Y++) {
                if (GenzaiMap[X, Y] == 5 || GenzaiMap[X, Y] == 6) {
                    OutX = X; OutY = Y;
                    return;
                }
            }
        }
    }

    internal void moveSyori(int VectorX, int VectorY, out bool willRefresh, out bool willClearSyori)
    {
        willRefresh = true;
        willClearSyori = false;

        int PrevX, PrevY;
        getGenzaiti(out PrevX, out PrevY);

        //移動先
        int AfterX = PrevX + VectorX;
        int AfterY = PrevY + VectorY;

        //荷物を押した場合の、荷物の移動先
        int movedX = PrevX + VectorX * 2;
        int movedY = PrevY + VectorY * 2;

        //移動先が空間
        if (GenzaiMap[AfterX, AfterY] == 0) {
            if (GenzaiMap[PrevX, PrevY] == 5) {
                GenzaiMap[PrevX, PrevY] = 0;
            }
            if (GenzaiMap[PrevX, PrevY] == 6) {
                GenzaiMap[PrevX, PrevY] = 3;
            }
            GenzaiMap[AfterX, AfterY] = 5;
            CApl.GenzaiHosuu++;
            return;
        }

        //移動先が壁
        if (GenzaiMap[AfterX, AfterY] == 1) {
            willRefresh = false; return;
        }

        //移動先が荷物
        if (GenzaiMap[AfterX, AfterY] == 2) {
            if (GenzaiMap[movedX, movedY] == 0) { //荷物の移動先が空間
                if (GenzaiMap[PrevX, PrevY] == 5)
                    GenzaiMap[PrevX, PrevY] = 0;
                if (GenzaiMap[PrevX, PrevY] == 6)
                    GenzaiMap[PrevX, PrevY] = 3;
                GenzaiMap[AfterX, AfterY] = 5;
                GenzaiMap[movedX, movedY] = 2;
                CApl.GenzaiHosuu++; CApl.GenzaiOukaSuu++;
                return;
            }
            if (GenzaiMap[movedX, movedY] == 1) { //荷物の移動先が壁
                willRefresh = false; return;
            }
            if (GenzaiMap[movedX, movedY] == 2) { //荷物の移動先が荷物
                willRefresh = false; return;
            }
            if (GenzaiMap[movedX, movedY] == 3) { //荷物の移動先が荷物置場
                if (GenzaiMap[PrevX, PrevY] == 5)
                    GenzaiMap[PrevX, PrevY] = 0;
                if (GenzaiMap[PrevX, PrevY] == 6)
                    GenzaiMap[PrevX, PrevY] = 3;
                GenzaiMap[AfterX, AfterY] = 5;
                GenzaiMap[movedX, movedY] = 4;
                CApl.GenzaiHosuu++; CApl.GenzaiOukaSuu++;
                willClearSyori = true;
                return;
            }

            if (GenzaiMap[movedX, movedY] == 4) { //荷物の移動先が荷物置場にある荷物
                willRefresh = false; return;
            }
        }

        //移動先が荷物置場
        if (GenzaiMap[AfterX, AfterY] == 3) {
            if (GenzaiMap[PrevX, PrevY] == 5) {
                GenzaiMap[PrevX, PrevY] = 0;
            }
            if (GenzaiMap[PrevX, PrevY] == 6) {
                GenzaiMap[PrevX, PrevY] = 3;
            }
            GenzaiMap[AfterX, AfterY] = 6;
            CApl.GenzaiHosuu++;
            return;
        }

        //移動先が荷物置場にある荷物
        if (GenzaiMap[AfterX, AfterY] == 4) {
            if (GenzaiMap[movedX, movedY] == 0) { //荷物の移動先が空間
                if (GenzaiMap[PrevX, PrevY] == 5)
                    GenzaiMap[PrevX, PrevY] = 0;
                if (GenzaiMap[PrevX, PrevY] == 6)
                    GenzaiMap[PrevX, PrevY] = 3;
                GenzaiMap[AfterX, AfterY] = 6;
                GenzaiMap[movedX, movedY] = 2;
                CApl.GenzaiHosuu++; CApl.GenzaiOukaSuu++;
                return;
            }
            if (GenzaiMap[movedX, movedY] == 1) { //荷物の移動先が壁
                willRefresh = false; return;
            }
            if (GenzaiMap[movedX, movedY] == 2) { //荷物の移動先が荷物
                willRefresh = false; return;
            }
            if (GenzaiMap[movedX, movedY] == 3) { //荷物の移動先が荷物置場
                if (GenzaiMap[PrevX, PrevY] == 5)
                    GenzaiMap[PrevX, PrevY] = 0;
                if (GenzaiMap[PrevX, PrevY] == 6)
                    GenzaiMap[PrevX, PrevY] = 3;
                GenzaiMap[AfterX, AfterY] = 6;
                GenzaiMap[movedX, movedY] = 4;
                return;
            }

            if (GenzaiMap[movedX, movedY] == 4) { //荷物の移動先が荷物置場にある荷物
                willRefresh = false; return;
            }
        }
    }

    internal bool IsClear()
    {
        for (int X = 0; X < CApl.Map_haba_X; X++) {
            for (int Y = 0; Y < CApl.Map_haba_Y; Y++) {
                if (GenzaiMap[X,Y] == 2) return false;
            }
        }
        return true;
    }
}
