﻿using System;
using System.Windows.Forms;
using System.Linq;

namespace cs_sokoban
{
    public partial class frmMain : Form
    {
        public frmMain()
        {
            InitializeComponent();
        }

        private void frmMain_Load(object sender, EventArgs e)
        {
            CApl.ins_frmMain = this;
            CApl.ins_CImages = new CImages();
            CApl.ins_CImages.Init();
            CApl.ins_MapInfo = new MapInfo();
            CApl.ins_DataLib = new DataLib();
            CApl.ins_DataLib.LoadData();

            addGridRetu("ステージ", 80);
            addGridRetu("題名", 100);
            addGridRetu("作成者", 100);
            addGridRetu("クリア日時", 180);
            addGridRetu("歩数", 60);
            addGridRetu("荷物押下数", 100);
            addGridRows();
        }
        private void btnStart_Click(object sender, EventArgs e)
        {
            for (int I = 0; I <= dataGridView1.Rows.Count - 1; I++) {
                if (dataGridView1.Rows[I].Selected ) {
                    MapData.MapLoad(I+1);
                    break;
                }
            }
            new frmStage().Show();
            this.Hide();
        }

        private void btnEnd_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void addGridRetu(string retuName, int yokoHaba)
        {
            var WkColumn = new DataGridViewTextBoxColumn();
            WkColumn.Width = yokoHaba;
            WkColumn.HeaderText = retuName;
            dataGridView1.Columns.Add(WkColumn);
        }

        internal void addGridRows()
        {
            dataGridView1.Rows.Clear();
            var Vals = new string[6];
            for (int I = 1; I <= CApl.MaxStageCnt; I++) {
                Vals[0] = I.ToString().PadLeft(3, '0');
                Vals[1] = MapData.MapArr[I].title;
                Vals[2] = MapData.MapArr[I].autor;

                Vals[3] = Vals[4] = Vals[5] = ""; 
                var query1 = CApl.ins_DataLib.DataList.Where(X => X.StageNo == I);
                var query2 = query1.Select(X => new { X.ClearData, X.Hosuu, X.OukaSuu });
                foreach (var eachVal in query2) {
                    Vals[3] = eachVal.ClearData;
                    Vals[4] = eachVal.Hosuu.ToString();
                    Vals[5] = eachVal.OukaSuu.ToString();
                }
                dataGridView1.Rows.Add(Vals);
            }
        }
    }
}
