﻿using System.Windows.Forms;
using System.Linq;

namespace cs_sokoban
{
    public partial class frmStage : Form
    {
        public frmStage()
        {
            InitializeComponent();
        }

        private void frmStage_FormClosed(object sender, FormClosedEventArgs e)
        {
            CApl.ins_frmMain.addGridRows();
            CApl.ins_frmMain.Show();
        }

        private void frmStage_Load(object sender, System.EventArgs e)
        {
            //ダブル・バッファリングにより描画
            //http://www.atmarkit.co.jp/fdotnet/dotnettips/197doublebuf/doublebuf.html
            this.SetStyle(ControlStyles.DoubleBuffer, true);
            this.SetStyle(ControlStyles.UserPaint, true);
            this.SetStyle(ControlStyles.AllPaintingInWmPaint, true);

            StageSuuByouga();
        }

        private void frmStage_Paint(object sender, PaintEventArgs e)
        {
            CApl.ins_MapInfo.MapPrint(e); //マップを描画

            string willOut = "末クリア";
            //クリア日時を描画
            var query = CApl.ins_DataLib.DataList.Where(X => X.StageNo == CApl.GenzaiStage);
            foreach (var eachVal in query) {
                willOut = string.Format("クリア日時 {0}",eachVal.ClearData);
            }
            lblClearData.Text = willOut;
        }

        //キーボートの押下ハンドラ
        private void frmStage_KeyDown(object sender, KeyEventArgs e)
        {
            bool willRefresh = false;
            bool willClearSyori = false;
            if (e.KeyData == Keys.Down) {
                CApl.ins_MapInfo.moveSyori(0, 1, out willRefresh, out willClearSyori);
                HosuuByouga();
            }
            else if (e.KeyData == Keys.Up) {
                CApl.ins_MapInfo.moveSyori(0, -1, out willRefresh, out willClearSyori);
                HosuuByouga();
            }
            else if (e.KeyData == Keys.Left) {
                CApl.ins_MapInfo.moveSyori(-1, 0, out willRefresh, out willClearSyori);
                HosuuByouga();
            }
            else if (e.KeyData == Keys.Right) {
                CApl.ins_MapInfo.moveSyori(1, 0, out willRefresh, out willClearSyori);
                HosuuByouga();
            }

            else if (e.KeyData == Keys.Space) {
                MapData.MapLoad(CApl.GenzaiStage);
                CApl.GenzaiHosuu = CApl.GenzaiOukaSuu = 0; HosuuByouga();
                willRefresh = true;
            }
            else if (e.KeyData == Keys.S) {
                this.Close();
            }
            else if (e.KeyData == Keys.N) {
                if (++CApl.GenzaiStage > CApl.MaxStageCnt) CApl.GenzaiStage = 1;
                MapData.MapLoad(CApl.GenzaiStage);
                StageSuuByouga();
                CApl.GenzaiHosuu = CApl.GenzaiOukaSuu = 0; HosuuByouga();
                willRefresh = true;
            }
            else if (e.KeyData == Keys.B) {
                if (--CApl.GenzaiStage == 0) CApl.GenzaiStage = CApl.MaxStageCnt;
                MapData.MapLoad(CApl.GenzaiStage);
                StageSuuByouga();
                CApl.GenzaiHosuu = CApl.GenzaiOukaSuu = 0; HosuuByouga();
                willRefresh = true;
            }
            if (willRefresh) this.Refresh();
            if (willClearSyori) ClearSyori(out willRefresh);
            if (willRefresh) this.Refresh();
        }

        private void StageSuuByouga()
        {
            lblStageSuu.Text = string.Format("ステージ{0:D3}", CApl.GenzaiStage);
        }

        private void HosuuByouga()
        {
            if (CApl.GenzaiHosuu > 999) CApl.GenzaiHosuu = 999;
            if (CApl.GenzaiOukaSuu > 999) CApl.GenzaiOukaSuu = 0;
            lblHosuu.Text = string.Format("{0:D3}歩", CApl.GenzaiHosuu);
            lblOukaSuu.Text = string.Format("{0:D3}回", CApl.GenzaiOukaSuu);
        }

        private void ClearSyori(out bool willRefresh)
        {
            willRefresh = false;
            if (CApl.ins_MapInfo.IsClear()) {
                CApl.ins_DataLib.AddData();
                MessageBox.Show("クリアーしました");
                if (++CApl.GenzaiStage > CApl.MaxStageCnt) CApl.GenzaiStage = 1;
                MapData.MapLoad(CApl.GenzaiStage);
                StageSuuByouga();
                CApl.GenzaiHosuu = CApl.GenzaiOukaSuu = 0; HosuuByouga();
                willRefresh = true;
            }
        }
    }
}
